#include "Arrow.h"

#include <GL/glut.h>
#include <stdlib.h>

void drawArrow(float xStart, float yStart, float zStart, float *color){
    glColor3fv(color);
    
    glBegin(GL_POLYGON);
    
        glNormal3d(0, 0, 1);
        
        // Top point
        glVertex3f(xStart, yStart, zStart);
        
        // Left
        glVertex3f(xStart-.8, yStart-1, zStart);
        glVertex3f(xStart-.2, yStart-1, zStart);
        
        // Bottom
        glVertex3f(xStart-.2, yStart-3, zStart);
        glVertex3f(xStart+.2, yStart-3, zStart);
        
        // Right
        glVertex3f(xStart+.2, yStart-1, zStart);
        glVertex3f(xStart+.8, yStart-1, zStart);
    
    glEnd();

}
