#ifndef GRAPH_H_
#define GRAPH_H_

#include "Pass.h"
#include "Screen.h"


typedef enum graphDrawType {
      DRAW_TYPE_BAR, DRAW_TYPE_CONNECTED, DRAW_TYPE_LINE
} GraphDrawMode;

typedef struct structGraph{
	Pass *pass;
	GraphDrawMode drawType;
} Graph;

Graph *createGraph(Pass *pass, Screen *graphScreenToSet);
void drawGraph(Graph* graph);

#endif /*GRAPH_H_*/
