#ifndef MENUREORDER_H_
#define MENUREORDER_H_

#include "Pass.h"
#include "Screen.h"

typedef struct struct_menuReorder
{
    Pass *pass;
    int cursorPos;
} MenuReorder;

MenuReorder *createMenuReorder(Pass *pass, Screen *graphScreenToSet);
// This function must be called before starting a new reorder session
void resetMenuReorder(MenuReorder *menuReorder);
void drawMenuReorder(MenuReorder *menuReorder);

void moveMenuReorderCursorUp(MenuReorder *menuShown);
void moveMenuReorderCursorDown(MenuReorder *menuShown);
void selectCurrentMenuReorderItem(MenuReorder *menuShown);

#endif
