#ifndef MENUSHOWN_H_
#define MENUSHOWN_H_

#include "Pass.h"
#include "Screen.h"

typedef struct struct_menuShown
{
    Pass *pass;
    int cursorPos;
} MenuShown;

MenuShown *createMenuShown(Pass *pass, Screen *graphScreenToSet);
void drawMenuShown(MenuShown *menuShown);

void moveMenuShownCursorUp(MenuShown *menuShown);
void moveMenuShownCursorDown(MenuShown *menuShown);
void selectCurrentMenuShownItem(MenuShown *menuShown);

#endif
