#ifndef PASSITER_H_
#define PASSITER_H_

#include "Pass.h"


typedef struct struct_passIter
{
    Pass *pass;
    int curLocation;   // The last know data point
    unsigned int curTime;       // The current time step we are using
    
    int dataIndex;     // The data to use for this timestep
} PassIter;

PassIter *createPassIter(Pass *toSetPass);
void destroyPassIter(PassIter *passIter);
void resetPassIter(PassIter *toReset);
void resetPassIterFromIndex(PassIter *toReset, int startIndex);

void printPassIter(PassIter *passIter);
char advancePassIter(PassIter *passIter);
int samplePassIter(PassIter *passIter);

#endif /*PASSITER_H_*/
