#ifndef STARFIELD_H_
#define STARFIELD_H_

#include "XYZ.h"

// The following number should be a mult of 6 since we have 6 sides
#define NUM_OF_STARS 6000
#define STAR_MIN_RADIUS 1
#define STAR_MAX_RADIUS 10

typedef struct struct_starField
{
    // The following are parallel arrays
    XYZ locations[NUM_OF_STARS];
    float radius[NUM_OF_STARS];
} StarField;

StarField *createStarField(int halfHeight, int halfWidth, int halfDepth);
void drawStarField(StarField *starField);
void printStarField(StarField *starField);

#endif /*STARFIELD_H_*/

