#include "CubeSat.h"

#include <GL/glut.h>
#include <stdlib.h>

#include "Textures.h"

void drawCubeSat(float xStart, float yStart, float zStart){
      glPushMatrix();
      glTranslatef(xStart,yStart,zStart);
    
      glScalef(15,15,15);
      

      
      glEnable(GL_TEXTURE_2D);
          glDisable(GL_LIGHTING);
      //set the current texture to be the crate
      glBindTexture(GL_TEXTURE_2D, TEXTURE_SOLAR_PANEL);
      glBegin(GL_POLYGON);
            glNormal3d(0, 0, 1.0);
      glColor3f(1.0, 1.0, 1.0); //white
      glTexCoord2f(0.0, 0.0);
      glVertex3f(-0.5, 0.5, 0.5); //v5
      glTexCoord2f(0.0, 1.0);
      glVertex3f(0.5, 0.5, 0.5); //v6
      glTexCoord2f(1.0, 1.0);
      glVertex3f(0.5, -0.5, 0.5); //v7
      glTexCoord2f(1.0, 0.0);
      glVertex3f(-0.5, -0.5, 0.5); //v8
      glEnd();

      glBegin(GL_POLYGON);
      glNormal3d(0, 0, -1.0);
      glColor3f(1.0, 1.0, 1.0); //white
      glTexCoord2f(0.0, 0.0);
      glVertex3f(-0.5, -0.5, -0.5); //v1
      glTexCoord2f(0.0, 1.0);
      glVertex3f(0.5, -0.5, -0.5); //v2
      glTexCoord2f(1.0, 1.0);
      glVertex3f(0.5, 0.5, -0.5); //v3
      glTexCoord2f(1.0, 0.0);
      glVertex3f(-0.5, 0.5, -0.5); //v4
      glEnd();

      glBegin(GL_POLYGON);
      glNormal3d(-1.0, 0, 0);
      glColor3f(1.0, 1.0, 1.0); //white
      glTexCoord2f(0.0, 0.0);
      glVertex3f(-0.5, -0.5, -0.5); //v1
      glTexCoord2f(0.0, 1.0);
      glVertex3f(-0.5, 0.5, -0.5); //v4
      glTexCoord2f(1.0, 1.0);
      glVertex3f(-0.5, 0.5, 0.5); //v5
      glTexCoord2f(1.0, 0.0);
      glVertex3f(-0.5, -0.5, 0.5); //v8
      glEnd();

      glBegin(GL_POLYGON);
            glNormal3d(0.0, 1.0, 0);
      glColor3f(1.0, 1.0, 1.0); //white
      glTexCoord2f(0.0, 0.0);
      glVertex3f(-0.5, 0.5, -0.5); //v4
      glTexCoord2f(0.0, 1.0);
      glVertex3f(0.5, 0.5, -0.5); //v3
      glTexCoord2f(1.0, 1.0);
      glVertex3f(0.5, 0.5, 0.5); //v6
      glTexCoord2f(1.0, 0.0);
      glVertex3f(-0.5, 0.5, 0.5); //v5
      glEnd();
      

      glBegin(GL_POLYGON);
            glNormal3d(1.0, 0.0, 0.0);
      glColor3f(1.0, 1.0, 1.0); //white
      glTexCoord2f(0.0, 0.0);
      glVertex3f(0.5, 0.5, -0.5); //v3
      glTexCoord2f(0.0, 1.0);
      glVertex3f(0.5, -0.5, -0.5); //v2
      glTexCoord2f(1.0, 1.0);
      glVertex3f(0.5, -0.5, 0.5); //v7
      glTexCoord2f(1.0, 0.0);
      glVertex3f(0.5, 0.5, 0.5); //v6
      glEnd();
      
     

      glBegin(GL_POLYGON);
      glNormal3d(0.0, -1.0, 0);
      glColor3f(1.0, 1.0, 1.0); //white
      glTexCoord2f(0.0, 0.0);
      glVertex3f(-0.5, -0.5, -0.5); //v1
      glTexCoord2f(0.0, 1.0);
      glVertex3f(0.5, -0.5, -0.5); //v2
      glTexCoord2f(1.0, 1.0);
      glVertex3f(0.5, -0.5, 0.5); //v7
      glTexCoord2f(1.0, 0.0);
      glVertex3f(-0.5, -0.5, 0.5); //v8
      glEnd();
        
    glEnable(GL_LIGHTING);
    glDisable(GL_TEXTURE_2D);

    
      glPopMatrix();
}
