#ifndef DATETIME_H_
#define DATETIME_H_

#define DATE_TIME_STR_LEN 26 // Does NOT include the \0

// After all fields is a delimeter
#define YEAR_LEN 4
#define MONTH_LEN 2
#define DAY_LEN 2
#define HOUR_LEN 2
#define MINUTE_LEN 2

//2007-09-18 18:58:39.375000

typedef struct date_time {
	int year;
	int month;
	int day;
	int hour;
	int minute;
	int seconds;
} DateTime;

DateTime *createDateTime(char *dateTimeStr);
void printDateTime(DateTime *dateTime);
void printDateTimeToArray(DateTime *dateTime, char *array);
void printTimeToArray(DateTime *dateTime, char *array);

int timeToSeconds(DateTime *dateTime);

#endif
