#ifndef GRAPHSUBWINDOW_H_
#define GRAPHSUBWINDOW_H_

typedef enum vmode {
      SET_VISIBLE_FIELDS, REORDER_FIELDS, SELECT_GLYPH, DRAW_GRAPH
} GraphSubwindowMode;

// Prototypes
void graphDisplay();
void graphSubwindowInit();
void graphMouseCallback(int button, int state, int x, int y);
void graphKeyCallback(unsigned char key, int x, int y);
void graphChangeSize(int w1, int h1);
void graphReshapeCallback(int w, int h);

void graphKeyCallbackSpecial(int key, int x, int y);

#endif /*GRAPHSUBWINDOW_H_*/
