#ifndef MENUGLYPH_H_
#define MENUGLYPH_H_

#include "Pass.h"
#include "Screen.h"

typedef struct struct_menuGlyph
{
    Pass *pass;
    int cursorPos;
} MenuGlyph;

MenuGlyph *createMenuGlyph(Pass *pass, Screen *graphScreenToSet);
void drawMenuGlyph(MenuGlyph *menuGlyph);
void resetMenuGlyph(MenuGlyph *menuGlyph);

void moveMenuGlyphCursorUp(MenuGlyph *menuGlyph);
void moveMenuGlyphCursorDown(MenuGlyph *menuGlyph);

void selectCurrentAsColorGlyph(MenuGlyph *menuGlyph);
void selectCurrentAsSizeGlyph(MenuGlyph *menuGlyph);

#endif
